Name: deadbeef
Version: 0.5.5
Release: 1%{?dist}
Summary: A music player with cue sheet support

Group: Applications/Multimedia
License: GPLv2+ and LGPLv2+
URL: http://deadbeef.sourceforge.net/
Source0: http://downloads.sourceforge.net/project/deadbeef/deadbeef-%{version}.tar.bz2
BuildRoot: %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

BuildRequires: libtool intltool gcc-c++
BuildRequires: dbus-devel gtk2-devel
BuildRequires: libcurl-devel zlib-devel libzip-devel imlib2-devel
BuildRequires: libstdc++-static
BuildRequires: desktop-file-utils
BuildRequires: alsa-lib-devel pulseaudio-libs-devel
BuildRequires: libcdio-devel libcddb-devel libsamplerate-devel
BuildRequires: libogg-devel libvorbis-devel
BuildRequires: flac-devel wavpack-devel
BuildRequires: libmad-devel ffmpeg-devel
BuildRequires: libsndfile-devel
BuildRequires: faad2-devel


%description
DeaDBeeF (as in 0xDEADBEEF) is an audio player for GNU/Linux systems with X11

Features:

 * MP3, OGG VORBIS, FLAC, APE, WV, WAV
 * ID3v1, ID3v2.2, ID3v2.3, ID3v2.4, APEv2, xing/info tags support
 * character set detection for non-Unicode ID3 tags - supports CP1251
   and ISO8859-1
 * Unicode tags are fully supported as well (both UTF8 and USC2)
 * cue sheet support for MP3, OGG, FLAC, APE
 * auto detection of UTF8/CP1251/ISO8859-1 char sets in cue sheets
 * sid and some popular chiptune formats like NSF
 * tracker modules like mod, s3m, it, xm, etc
 * HVSC song length database support for sid
 * GTK2 interface with custom highly speed/memory optimized widgets
 * no GNOME or KDE dependencies - just GTK2 and several small libraries
 * minimize to tray, with scroll wheel volume control
 * drag and drop, both inside of play list, and from file managers and such
 * control playback from command line (allows global hot-keys using xbindkeys)
 * seeking works in all supported formats
 * plug-in support; ships with several standard plug-ins, such as 
   global hot-keys and last.fm scrobbler
 * duration calculation is as precise as possible for 
   VBR MP3 files (with and without xing/info tags)

%package devel
Summary: Development files for Deadbeef music player
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
Development files for DeaDBeeF - audio player for GNU/Linux systems with X11

%prep
%setup -q
# deleting Unity parts in deadbeef.desktop files
sed -i '15,40d' deadbeef.desktop*

%build
%configure  --docdir=%{_defaultdocdir}/%{name}-%{version}/
#removing rpath
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
%find_lang %{name}

# deal with *.la fiels
find $RPM_BUILD_ROOT -name '*.la' -delete

# validate desktop file
desktop-file-install \
--delete-original  \
--dir=%{buildroot}%{_datadir}/applications \
%{buildroot}%{_datadir}/applications/deadbeef.desktop


%post
update-desktop-database &> /dev/null || :
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :


%postun
update-desktop-database &> /dev/null || :
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi


%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc ChangeLog README about.txt help.txt COPYING.* translators.txt
#doc

# Files
%{_bindir}/deadbeef
# Dirs
%{_datadir}/deadbeef/
%{_libdir}/deadbeef/

%{_datadir}/icons/hicolor/*/apps/deadbeef.*g
%{_datadir}/applications/deadbeef.desktop

# excludes
# getting rid of devel-file-in-non-devel-package error about *.a files
%exclude %{_libdir}/deadbeef/*.a

%files devel
%{_includedir}/deadbeef/
%{_libdir}/deadbeef/*.a

%changelog
* Fri Jul 13 2012 Jeremiah Yongue <jeremiah@fuduntu.org> - 0.5.5-1
- Updated to 0.5.5

* Sun Dec 04 2011 Andrew Wyatt <andrew@fuduntu.org> - 0.5.1
- Built for Fuduntu
 
* Mon Jul 04 2011 Leigh Scott <leigh123linux@googlemail.com> - 0.5.1-1
- moved .a devel files to -devel package.
- trailing slashes add to directories in files section
- Deleted *.la files
- fixed link syntax.
- moved .h devel files to -devel package.
- fixed unowned directories
